*,
*::before,
*::after {
    box-sizing: border-box;
}

// *{background: rgba(0, 0, 0, 0.03)}
div {
    -webkit-tap-highlight-color: rgba(255, 255, 255, 0);
}


/*========================================================
                      Container
=========================================================*/


/*
* @description  container class style declarations
*/

.container {
    width: rem(1180);
    margin: 0 auto;
}

// меньше указанной величины (по умолчанию ширина)
// @mixin below($width, $orientation: 'width') {
//     @media screen and (max-#{$orientation}: $width) {
//         @content;
//     }
// }

/*========================================================
                      Main Styles
=========================================================*/


/*
* @section      Main Styles
* @description  This section holds template default elements style declarations
*/

.page {
    overflow: hidden;
    .lt-ie9 & {
        min-width: $screen-lg-min;
    }
}

html {
    font-size: 16px;
}

body {
    font-family: $font-default;
    font-weight: $default-font-weight;
    font-size: $default-font-size;
    line-height: $default-line-height;
    -webkit-text-size-adjust: none;
    color: $content-color;
    background: $content-bg;
}


/*========================================================
                      Typography
=========================================================*/


/*
* @subsection   Typography
* @description  Describes default font settings for basic html elements and
*               css classes
*/

h1,
h2,
h3,
h4,
h5,
h6,
.heading_1,
.heading_2,
.heading_3,
.heading_4,
.heading_5,
.heading_6 {
    color: $default;
    font-weight: 500;
}

h1,
.heading_1 {
    font-size: rem(50);
    line-height: rem(45);
}

h2,
.heading_2 {
    font-size: rem(35);
    line-height: 1;
}

h3,
.heading_3 {
    font-size: rem(26);
    line-height: rem(30);
}

h4,
.heading_4 {
    font-size: rem(24);
    line-height: rem(30);
}

h5,
.heading_5 {
    font-size: 20px;
    line-height: 24px;
}

h6,
.heading_6 {
    font-size: 17px;
    line-height: 20px;
}

a{
    transition: 0.3s;
    &:before{
        transition: 0.3s;
    }
    &:hover{
        color: $clr-primary;
        &:before{
            background: $clr-primary;
        }
    }
}

/*=======================================================
                       Main Layout
=========================================================*/


/*
* @subsection   Backgrounds
* @description  Backgrounds custom styles
*/

.bg-white {
    background: $white;
}


/*
* @subsection   Colors
* @description  Colors custom styles
*/

.clr-white {
    color: $white;
}


/*
* @subsection   Well
* @description  Describes section inner indents
*/

.well {
    &_header {}
    &_footer {}
}

/*
* @subsection   Offsets
* @description  
*/
.offset-lg-40{
    margin-top: rem(40);
}

/* ========================================================
                     Components
=========================================================*/
// Slide
.slide{
    display: flex;
    justify-content: center;
    &__asside,
    &__cnt{
        display: flex;
        padding: 0 rem(5);
    }
    &__asside{
        justify-content: flex-end;
    }
    &__cnt{}
}

// People
.people{
    max-width: rem(430);
    
    &__name{
        font-size: 20px;
        line-height: 1;
        color: #0c0b18;
    }
    &__skill{
        font-size: 14px;
        line-height: 1.7;
        color: #939393;
    }
    &__info{
        color: #0c0b18;
        font-size: 14px;
        line-height: 1.7;
    }
    &__text,
    &__list{
        font-size: inherit;
        line-height: inherit;
        color: inherit;
    }

    &__list{
        .item-list__item{
            position: relative;
            padding-left: rem(26);
            &:before{
                content: '';
                position: absolute;
                left: 0;
                top: rem(3);
                height: rem(14);
                width: rem(26);
                background: url('%=static=%assets/02_employees/arrow_dark.svg') no-repeat center center / contain;
            }
        }
        .item-list__item + .item-list__item{
            margin-top: rem(10);
        }
    }
}
.people{
    * + &__skill{
        margin-top: rem(12);
    }
    * + &__info{
        margin-top: rem(16);
    }
    * + &__text{
        margin-top: rem(16);
    }
    * + &__list{
        margin-top: rem(16);
    }
}

// Price
.price{
    display: flex;
    flex-direction: column;
    align-items: center;
    font-family: inherit;
    margin-top: rem(-10);
    &__old{
        position: relative;
        margin: rem(10);
        font-size: rem(20);
        font-weight: 500;
        color: #939393;    
        &:before{
            content: '';
            position: absolute;
            left: rem(-5);
            right: rem(-5);
            top: 50%;
            height: 1px;
            background: #939393;
            transform: translateY(-50%)rotate(-4deg);
        }
    }
    &__new{
        margin: rem(10);
        font-size: rem(26);
        font-weight: 700;
        color: #333a49
    }
}

/* ========================================================
                     HEADER  Section
=========================================================*/


/*
* @section      Page Header
* @description  This section holds specific style redeclarations for some
*               of common elements in page header
*/

header,
.page-header {
    // background: $header-bg;
    color: $header-color;
}


/* ========================================================
					 MAIN  Section
=========================================================*/


/*
* @section      Page Content
* @description  This section holds specific style redeclarations for some
*               of common elements in page content
*/

main,
.page-content {
    min-height: 100vh;
    background: $content-bg;
}


/* ========================================================
					 FOOTER  Section
=========================================================*/


/*
* @section      Page Footer
* @description  This section holds specific style redeclarations for some
*               of common elements in page footer
*/

footer,
.page-footer {
    background: $footer-bg;
    color: $footer-color;
}
